Package org.apache.sling.jcr.webdav.impl.handler

# Class SlingDeleteManager

java.lang.Object
org.apache.jackrabbit.server.io.DeleteManagerImpl
org.apache.sling.jcr.webdav.impl.handler.SlingDeleteManager

All Implemented Interfaces:
  `org.apache.jackrabbit.server.io.DeleteManager`

public class SlingDeleteManager extends org.apache.jackrabbit.server.io.DeleteManagerImpl
DeleteManager service that uses a ServiceTracker to find available DeleteHandler.

## Constructor Summary

Constructors
Constructor
Description
`SlingDeleteManager(String referenceName)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addDeleteHandler(org.apache.jackrabbit.server.io.DeleteHandler propertyHandler)`
`void`
`bindDeleteHandler(org.osgi.framework.ServiceReference deleteHandlerReference)`
`org.apache.jackrabbit.server.io.DeleteHandler[]`
`getDeleteHandlers()`
`void`
`setComponentContext(org.osgi.service.component.ComponentContext componentContext)`
`void`
`unbindDeleteHandler(org.osgi.framework.ServiceReference deleteHandlerReference)`

### Methods inherited from class org.apache.jackrabbit.server.io.DeleteManagerImpl

`delete, getDefaultManager`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SlingDeleteManager

public SlingDeleteManager(String referenceName)

## Method Details

### addDeleteHandler

public void addDeleteHandler(org.apache.jackrabbit.server.io.DeleteHandler propertyHandler)

Specified by:
  `addDeleteHandler` in interface `org.apache.jackrabbit.server.io.DeleteManager`
Overrides:
  `addDeleteHandler` in class `org.apache.jackrabbit.server.io.DeleteManagerImpl`

### getDeleteHandlers

public org.apache.jackrabbit.server.io.DeleteHandler[] getDeleteHandlers()

Specified by:
  `getDeleteHandlers` in interface `org.apache.jackrabbit.server.io.DeleteManager`
Overrides:
  `getDeleteHandlers` in class `org.apache.jackrabbit.server.io.DeleteManagerImpl`

### setComponentContext

public void setComponentContext(org.osgi.service.component.ComponentContext componentContext)

### bindDeleteHandler

public void bindDeleteHandler(org.osgi.framework.ServiceReference deleteHandlerReference)

### unbindDeleteHandler

public void unbindDeleteHandler(org.osgi.framework.ServiceReference deleteHandlerReference)